package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantRate implements Serializable {
    private Integer id;

    private Integer userid;

    private Integer rate;

    private Date updatetime;

    private Integer previousrate;

    private String isfixedrate;

    private Date starttime;

    private Date endtime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public Integer getRate() {
        return rate;
    }

    public void setRate(Integer rate) {
        this.rate = rate;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public Integer getPreviousrate() {
        return previousrate;
    }

    public void setPreviousrate(Integer previousrate) {
        this.previousrate = previousrate;
    }

    public String getIsfixedrate() {
        return isfixedrate;
    }

    public void setIsfixedrate(String isfixedrate) {
        this.isfixedrate = isfixedrate == null ? null : isfixedrate.trim();
    }

    public Date getStarttime() {
        return starttime;
    }

    public void setStarttime(Date starttime) {
        this.starttime = starttime;
    }

    public Date getEndtime() {
        return endtime;
    }

    public void setEndtime(Date endtime) {
        this.endtime = endtime;
    }
}